summaryrefslogtreecommitdiffstats
path: root/games/UrbanTerror/UrbanTerror.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/UrbanTerror/UrbanTerror.SlackBuild')
-rw-r--r--games/UrbanTerror/UrbanTerror.SlackBuild40
1 files changed, 29 insertions, 11 deletions
diff --git a/games/UrbanTerror/UrbanTerror.SlackBuild b/games/UrbanTerror/UrbanTerror.SlackBuild
index 2b4c415c26..5551340c71 100644
--- a/games/UrbanTerror/UrbanTerror.SlackBuild
+++ b/games/UrbanTerror/UrbanTerror.SlackBuild
@@ -2,19 +2,37 @@
# Slackware build script for <UrbanTerror>
-# Written by (Matthew Fillpot) (mfilpot at gmail.com)
-
+# Copyright 2011 Matthew "mfillpot" Fillpot
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
# urbanterror game is utilizing materials that are covered under the following
# licenses:
# Quake 3 SDK license - the game engine source code is closed source
# GPL license - ioUrbanTerror uses the GPL license and its source code
# is openly available
#
-# Full copies of the licenses will be installed in /usr/doc/urbanterror-4.1
+# Full copies of all licenses will be installed in /usr/doc/urbanterror-4.1
PRGNAM=UrbanTerror
-VERSION=${VERSION:-4.1}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-4.1.1}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -49,13 +67,13 @@ fi
CLIENT_EXEC=${CLIENT_EXEC:-ioUrbanTerror.${EXEC}}
SERVER_EXEC=${SERVER_EXEC:-ioUrTded.${EXEC}}
-set -e # Exit on most errors
+set -e
rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $TMP $PKG $OUTPUT
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
-unzip $CWD/${PRGNAM}_${ZIP_VERS}_FULL.zip -d $PKG/usr/lib${LIBDIRSUFFIX}
+unzip $CWD/${PRGNAM}${ZIP_VERS}.zip -d $PKG/usr/lib${LIBDIRSUFFIX}
# Make the current arch execs executable
chmod 0755 $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/{${CLIENT_EXEC},${SERVER_EXEC}}
@@ -73,7 +91,7 @@ echo -e "seta cl_cURLLib \"libcurl.so.4.1.1\"" >> \
# Add a menu entry and icon
mkdir -p $PKG/usr/share/{applications,pixmaps}
-cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
cat $CWD/q3ut.png > $PKG/usr/share/pixmaps/q3ut.png
# Remove unused files from the package
@@ -87,8 +105,8 @@ mv $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/ioUrbanTerror_* $PKG/usr/doc/$PRGNAM-$VER
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cp $CWD/docs/*.txt $PKG/usr/doc/$PRGNAM-$VERSION/
-mkdir $PKG/install
-cp -p $CWD/slack-desc $PKG/install/slack-desc
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG